import window
import config

class Preferences(window.Window):
	def __init__(self):
		window.Window.__init__(self, "preferences")
		conf = config.Config()
		conf.sync_to_ui(self)

	def on_cmd_cancel_clicked(self, widget, data = None):
		self.window.destroy()

	def on_cmd_apply_clicked(self, widget, data = None):
		conf = config.Config()
		conf.sync_from_ui(self)
		conf.save_level()
		
	def on_cmd_ok_clicked(self, widget, data = None):
		self.on_cmd_apply_clicked(widget, data)
		self.on_cmd_cancel_clicked(widget, data)
