#!/usr/bin/env python

from gnuplot import Gnuplot
import re

if __name__ == "__main__":
	gp = Gnuplot()
	
	samp_size = 100

	outcome = []
	s = 0
	sq = 0
	
	for c in range(0, samp_size):
		for to in range(1,10000):
			gp.start()
			gp.pipe.set_timeout(to)
			gp.cmd("save '-'")
			data = gp.get_last_event()
			gp.stop()
			if data: break
		gp.last_event = gp.last_error = gp.last_info = None
		outcome.append(to)
		s = s + to
		sq = sq + to**2
	
	print "Min:\t%d\nMax:\t%d\nMean:\t%f\nStDev:\t%f" % (min(outcome),max(outcome), s / float(samp_size), (sq/float(samp_size) -(s / float(samp_size))**2)**0.5)
